#
# spec file for package nagiosgrapher (Version 1.6.1RC3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           nagiosgrapher
BuildRequires:  apache2 nagios nagios-www
License:        GNU General Public License (GPL)
Group:          System/Monitoring
Version:        1.6.1RC3
Release:        2.1
Source0:        NagiosGrapher-1.6.1-rc3.tar.bz2
Source1:        nagiosgrapher.logrotate
Source2:        nagiosgrapher
Source3:        nagiosgrapher.README.SuSE
Patch0:         NagiosGrapher-1.6.1-rc2-config.layout.patch	
Patch1:         NagiosGrapher-1.6.1-rc1-nagios_grapher.in.patch
Patch2:         NagiosGrapher-1.6.1-rc1-SrvExtWriteHostextInfo.pm.patch
Patch3:         NagiosGrapher-1.6.1-rc2-configure.ac.patch
Patch4:         NagiosGrapher-1.6.1-rc3-Makefile.in.patch
Patch5:         NagiosGrapher-1.6.1-rc3-ngraph.ncfg.in.patch
URL:            http://www.nagiosexchange.org/42;195
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        NagiosGrapher collects the output of NagiosPlugins and generates graphs.
PreReq:         http_daemon
Requires:       nagios nagios-www perl-Calendar-Simple perl-GD perl-PerlMagick perl-URI rrdtool

%description
The "NETWAYS Nagios Grapher" is a Graphing system which uses templates
to assign services to various data sources (RRDs). Thus it is possible
to create a quantity of graphs using only a small configuration,
keeping it easy to manage. These templates are automatically applied to
incoming data, thus creating a new service in Nagios will automatically
create the graph once valid data is seen for that service. Corrolations
between different graphs is also possible.



Authors:
--------
    Marius Hein
    Gerd Mueller

%prep
%setup -n NagiosGrapher-1.6.1-rc3
cp %{S:3} README.SuSE
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
autoreconf --force --install
CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS" \
  ./configure --with-layout=SuSE --with-web-user=wwwrun --with-web-group=www --with-ng-interface=pipe --with-ng-loglevel=63
#make testdeps

%install
%makeinstall PERL_INC=%{perl_vendorlib}
%perl_process_packlist
install -d -m 0755 $RPM_BUILD_ROOT/usr/sbin
rm $RPM_BUILD_ROOT/etc/init.d/nagios_grapher
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/nagiosgrapher
ln -sf /etc/init.d/nagiosgrapher $RPM_BUILD_ROOT/usr/sbin/rcnagiosgrapher
install -d -m 0755 ${RPM_BUILD_ROOT}/etc/logrotate.d/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/nagiosgrapher
rm $RPM_BUILD_ROOT/usr/lib/nagios/contrib/*.c
rm $RPM_BUILD_ROOT/var/log/nagios/ngraph.log
rm $RPM_BUILD_ROOT/%{perl_vendorlib}/NagiosGrapher/Hooks/SrvExtWriteHostextInfo.pm.orig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.SuSE doc/*
%attr(755,root,root)/etc/init.d/nagiosgrapher
%config /etc/nagios/ngraph.d
%config(noreplace) /etc/nagios/ngraph.ncfg
%config /etc/logrotate.d/nagiosgrapher
%attr(775,nagios,nagios) /etc/nagios/serviceext
/usr/lib/nagios/cgi/*.cgi
/usr/lib/nagios/contrib
%attr(755,nagios,nagios)/var/lib/nagios/rrd
/usr/sbin/rcnagiosgrapher
%attr(644,root,root)/usr/share/nagios/images/*.png
%attr(644,root,root)/usr/share/nagios/images/logos/*.png
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/NagiosGrapher

%changelog
* Fri Aug 31 2007 tsieden@suse.de
- fixed spec file (added 'noreplace' for /etc/nagios/ngraph.ncfg)
* Mon Mar 12 2007 tsieden@suse.de
- update to version 1.6.1-RC3
  * fixed Pipe handling
  * fixed Month -1 Bug
  * fixed lower_limit
- fixed build (norootforbuild)
* Sun Dec  3 2006 tsieden@suse.de
- removed BuildRequires which are not implicitly needed for build
- "notes" functionality (wiki link) disabled by default
- beautify /etc/nagios/ngraph.ncfg, removed unneeded username
* Sat Dec  2 2006 tsieden@suse.de
- update to version 1.6.1-RC2
  * fixed Pagebrowser
  * page also for GPRINTS/COMMENTS
  * new layouts
  * mod_perl compatibility
* Fri Nov 17 2006 tsieden@suse.de
- fixed permissions for logo pngs
- added missing includes to udpecho.c
* Thu Nov 16 2006 tsieden@suse.de
- changed rrd dir to /var/lib/nagios/rrd (#221791)
- fixed build (typo in configure.ac)
- cleaned spec file
* Tue Oct 31 2006 tsieden@suse.de
- initial release 1.6.1-RC1
